package com.example.tlsdataupdatetozzq.config;


import com.example.tlsdataupdatetozzq.schedul.HyZcMysqlModelResultSchedul;
import org.quartz.*;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class QuartzConfig {

    @Value("${time.cron}")
    private String strSron;
     //创建Job实例
    @Bean
    public JobDetail jobDetailHyZcMysqlModelResult() {
        return JobBuilder.newJob(HyZcMysqlModelResultSchedul.class).storeDurably().build();
    }
    //触发器
    @Bean
    public Trigger hyZcMysqlModelResult() {
        return TriggerBuilder.newTrigger()
                .withIdentity("hyZcMysqlModelResult", "groupHyZcMysqlModelResult")
                .withSchedule(CronScheduleBuilder.cronSchedule(this.strSron))
                .forJob(jobDetailHyZcMysqlModelResult())
                .build();
    }
}