package com.example.tlsdataupdatetozzq.es;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.jsoup.Jsoup;
import org.springframework.util.ObjectUtils;
import sun.misc.BASE64Encoder;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

@Data
public class HyZc {

    private String postCity;
    private int postLevel;
    private String areaName;
    private PostData postData;

    public HyZc() {
    }
    public HyZc(HyZcMysqlModel hyZcMysqlModel,String fbjg) {
        this.postCity = "tl";
        this.postLevel = 2;
        this.areaName = "通辽市";
        PostData postData = new PostData();
        String title = hyZcMysqlModel.getTitle();
        if(!ObjectUtils.isEmpty(title)){
            postData.setDocTitle(hyZcMysqlModel.getTitle());
        }
        String htmlContent = hyZcMysqlModel.getHtmlContent();
        if(!ObjectUtils.isEmpty(htmlContent)){
            postData.setDocHtmlContent(htmlContent);
        }
        String cwjbh = hyZcMysqlModel.getCwjbh();
        if(!ObjectUtils.isEmpty(cwjbh)){
            postData.setDocno(cwjbh);
        }
        if(!ObjectUtils.isEmpty(fbjg)){
            postData.setPublisher(fbjg);
        }
        String c_fwrq = hyZcMysqlModel.getCfwrq();
        if(!ObjectUtils.isEmpty(c_fwrq)){
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
            long crtime = Long.parseLong(c_fwrq);
            Date date1 = new Date(crtime);
            String crtimeStr = simpleDateFormat.format(date1);
            postData.setPublishDate(crtimeStr);
        }
        String publishedTime = hyZcMysqlModel.getPublishedTime();
        if(!ObjectUtils.isEmpty(publishedTime)){
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
            long pubtime = Long.parseLong(publishedTime);
            Date date1 = new Date(pubtime);
            try {
                LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                LocalDateTime after8Hours = localDateTime.plusHours(8);
                date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
            }catch (Exception e){
            }
            String pubtimeStr = simpleDateFormat.format(date1);
            postData.setReleaseDate(pubtimeStr);
        }
        String cmstatus = hyZcMysqlModel.getCmstatus();
        if(cmstatus.equals("4")){
            postData.setValidity("有效");
        }else{
            postData.setValidity("失效");
        }
        String csyh = hyZcMysqlModel.getCsyh();
        if(!ObjectUtils.isEmpty(csyh)){
            postData.setIdxno(csyh);
        }
        String manuscriptId = hyZcMysqlModel.getManuscriptId();
        if(!ObjectUtils.isEmpty(manuscriptId)){
            postData.setDocid(manuscriptId);
        }
        if(!ObjectUtils.isEmpty(fbjg))
        {
            postData.setSiteName("通辽市"+fbjg);
        }
        String newUrl = hyZcMysqlModel.getNewUrl();
        if(!ObjectUtils.isEmpty(newUrl)){
            postData.setDocPubUrl(newUrl);
        }
        this.setPostData(postData);
    }

}
