package com.example.tlsdataupdatetozzq.es;

import cn.hutool.core.date.DateTime;
import com.alibaba.fastjson.JSONObject;
import com.example.tlsdataupdatetozzq.service.HyZcMysqlModelService;
import com.example.tlsdataupdatetozzq.utils.HttpClientUtil;
import com.example.tlsdataupdatetozzq.utils.JsoupUtilsViewTls;
import com.example.tlsdataupdatetozzq.utils.Sm4Util;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;
import sun.misc.BASE64Encoder;

import java.util.HashMap;
import java.util.List;

@Component
@Slf4j
public class UpdateZZQTongliao {
    @Autowired
    private HyZcMysqlModelService hyZcMysqlModelService;

    public List<HyZcMysqlModel> getHyZcMysqlModelList(String channelId,String urlNew){
        List<HyZcMysqlModel> list = hyZcMysqlModelService.listByChannelId(channelId);
        for (HyZcMysqlModel hyZcMysqlModel : list) {
            String currentFilePathHtmlUrl = hyZcMysqlModel.getCurrentFilePathHtmlUrl();
            String html = JsoupUtilsViewTls.rexStringHtml(currentFilePathHtmlUrl);
            hyZcMysqlModel.setHtmlContent(html);
            String site_url = hyZcMysqlModel.getSiteUrl();
            String channel_url = hyZcMysqlModel.getChannelUrl();
            String url = hyZcMysqlModel.getUrl();
            hyZcMysqlModel.setNewUrl(urlNew+site_url+channel_url+url);
        }
        return list;
    }
    public void updateZZQ(HyZc hyZc){
        try {
            //封装参数
            HashMap<String,Object> param=new HashMap<>();
            String postCity = hyZc.getPostCity();
            if(!ObjectUtils.isEmpty(postCity)){
                param.put("postCity",postCity);
            }
            int postLevel = hyZc.getPostLevel();
            if(!ObjectUtils.isEmpty(postLevel)){
                param.put("postLevel",postLevel);
            }
            String areaName = hyZc.getAreaName();
            if(!ObjectUtils.isEmpty(areaName)){
                param.put("areaName",areaName);
            }
            //封装postData参数
            PostData postDataObj = hyZc.getPostData();
            HashMap<String,Object> postData=new HashMap<>();
            if(!ObjectUtils.isEmpty(postDataObj)){
                String docTitle = postDataObj.getDocTitle();
                if(!ObjectUtils.isEmpty(docTitle)){
                    postData.put("docTitle",docTitle);
                }
                String contentstr = postDataObj.getDocHtmlContent();
                postData.put("docHtmlContent",new BASE64Encoder().encode(contentstr.getBytes("UTF-8")));
                String docno = postDataObj.getDocno();
                if(!ObjectUtils.isEmpty(docno)){
                    postData.put("docno",postDataObj.getDocno());
                }
                String publisher = postDataObj.getPublisher();
                if(!ObjectUtils.isEmpty(publisher)){
                    postData.put("publisher",postDataObj.getPublisher());
                }
                String publishDate = postDataObj.getPublishDate();
                if(!ObjectUtils.isEmpty(publishDate)){
                    postData.put("publishDate",postDataObj.getPublishDate());
                }
                String releaseDate = postDataObj.getReleaseDate();
                if(!ObjectUtils.isEmpty(releaseDate)){
                    postData.put("releaseDate",postDataObj.getReleaseDate());
                }
                String validity = postDataObj.getValidity();
                if(!ObjectUtils.isEmpty(validity)){
                    postData.put("validity",validity);
                }
                String idxno = postDataObj.getIdxno();
                if(!ObjectUtils.isEmpty(idxno)){
                    postData.put("idxno",idxno);
                }
                String docid = postDataObj.getDocid();
                if(!ObjectUtils.isEmpty(docid)){
                    postData.put("docid",docid);
                }
                postData.put("siteName",postDataObj.getSiteName());
                postData.put("docPubUrl",postDataObj.getDocPubUrl());
            }
            String jsonString = JSONObject.toJSONString(postData);
            //生成秘钥
            String key="tl"+ DateTime.now().toString("yyyyMMdd");
            String decryptEcb = Sm4Util.encryptEcb(key, jsonString);
            param.put("postData",decryptEcb);
            String validity = postDataObj.getValidity();
            if(validity.equals("有效")){
                //新增
                try {
                    String resultPush = HttpClientUtil.doPostJson("http://10.14.18.231/nmgapi/pushPolicyData", param);
                    log.info("新增");
                }catch (Exception e){
                    e.printStackTrace();
                }
                //修改
                try {
                    String resultEdit = HttpClientUtil.doPostJson("http://10.14.18.231/nmgapi/editPolicyData", param);
                    log.info("修改");
                }catch (Exception e){
                    e.printStackTrace();
                }
            }else{
                //撤销
                HashMap<String,Object> paramDelete=new HashMap<>();
                paramDelete.put("postCity",hyZc.getPostCity());
                paramDelete.put("postData",decryptEcb);
                String result = HttpClientUtil.doPostJson("http://10.14.18.231/nmgapi/cancelPolicyData", paramDelete);
                log.info("撤销");
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        try {

        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
