package com.example.tlsdataupdatetozzq.schedul;


import com.example.tlsdataupdatetozzq.es.HyZc;
import com.example.tlsdataupdatetozzq.es.HyZcMysqlModel;
import com.example.tlsdataupdatetozzq.es.UpdateZZQTongliao;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 交易结果信息 前端控制器
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Component
@Slf4j
public class HyZcMysqlModelResultSchedul implements Job {

    private Logger logger = LoggerFactory.getLogger(HyZcMysqlModelResultSchedul.class);

    @Autowired
    private UpdateZZQTongliao updateEsTongliao;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

        if(TimeFlag.flag){
            TimeFlag.flag = false;
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("4b5fc6664e454d56a1cb770799fc60ea", "https://jyj.tongliao.gov.cn/");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel,"通辽市教育局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("2ba7c842e5f84294a76b5c94ea2099df", "https://gxj.tongliao.gov.cn/");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市工业和信息化局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("d7e3dea2efb14b3ab75c470294e405db", "https://sthjj.tongliao.gov.cn/");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市生态环境局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("3bb25aed68fd4d4283ee1f1c2f8faa9f", "https://nmj.tongliao.gov.cn/");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市农牧局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("32f5b5735bf944efb793ada85e853242", "https://wlj.tongliao.gov.cn/");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市文化旅游广电局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("932100214f71420eaa5551d7a9f2718d", "https://gzw.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市国有资产监督管理委员会");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("238521db33334b88ad1a5e3c76a9a6af", "https://fgw.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市发展和改革委员会");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("de94a6dd4d20457d93dfa6e307d330b2", "https://mzj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市民政局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("64ad36c2e71b4b68848cefdd225b6a7f", "https://czj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市财政局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("4c92166e2b4f49069f4164c545f965dc", "https://rsj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市人力资源和社会保障局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("931643131d264509bdcf0f0804d23082", "https://zhujianju.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市住房和城乡建设局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("999ecf58370443dfbb3ead4567ebd5c6", "https://kjj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市科学技术局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("8d563b5635134288ad25347b8bc95082", "https://amr.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市市场监督管理局");
                    updateEsTongliao.updateZZQ(hyZc);

                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("be3d6139843d42d5b1414452cdf46ade", "https://yjglj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市应急管理局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("b1e5a8da2e0d4d64a91e7a9c27d0bae9", "https://zrzyj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市自然资源局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("697bfd31358d48b4a076f669bcc67a42", "https://tyjrswj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市退役军人事务局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {

                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("e7f756c949134176b1b7bae46fa5ebc5", "https://jrb.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市金融工作办公室");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("1b6542be21ac4349921910013c1d13e2", "https://swj.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市商务局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }

            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("d151090f9f484605aeb97700d93b804c", "https://zwfw.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市医疗保障局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            try {
                List<HyZcMysqlModel> hyZcMysqlModels = updateEsTongliao.getHyZcMysqlModelList("d151090f9f484605aeb97700d93b804c", "https://zwfw.tongliao.gov.cn");
                for (HyZcMysqlModel hyZcMysqlModel : hyZcMysqlModels) {
                    log.info(hyZcMysqlModel.getTitle());
                    HyZc hyZc = new HyZc(hyZcMysqlModel ,"通辽市行政审批和政务服务局");
                    updateEsTongliao.updateZZQ(hyZc);
                }
            }catch (Exception e){
                e.printStackTrace();
            }
            TimeFlag.flag = true;
        }
    }
}
